<?php
/*
 **************************************************************************************************
 *    Copyright (c) 2010-2012 Just Another Video script
 *
 * 	  This file is part of Just Another Video Script.
 *    Version 1.4.3
 *    info@justanothervideoscript.com
 **************************************************************************************************
 *    Come to website for support or buying additional plugins/modules.
 *    http://justanothervideoscript.com/
 **************************************************************************************************
 *    By using this software you agree that you have read and acknowledged our End-User License
 *    Agreement available at http://justanothervideoscript.com/license and can be bound by it.
 **********************************************************************************
 */

if ($_GET['do']) {
	switch ($_GET['do']) {
		default: include('modules/status.inc') ;
		break; case"status":include_once('modules/status.inc');
		break; case"global":include_once('modules/global.inc');
		break; case"mediasettings":include_once('modules/mediasettings.inc');
		break; case"menusettings":include_once('modules/menusettings.inc');
		break; case"encodingsettings":include_once('modules/encodingsettings.inc');
		break; case"pagesettings":include_once('modules/pagesettings.inc');
		break; case"mobilesettings":include_once('modules/mobilesettings.inc');
		break; case"hdsettings":include_once('modules/hdsettings.inc');
		break; case"allvideos":include_once('modules/allvideos.inc');
		break; case"plugins":include_once('modules/plugins.inc');
		break; case"newuploads":include_once('modules/newuploads.inc');
		break; case"dbclean":include_once('modules/dbclean.inc');
		break; case"Category":include_once('modules/Category.inc');
		break; case"userlist":include_once('modules/userlist.inc');
		break; case"massemail":include_once('modules/massemail.inc');
		break; case"emailtext":include_once('modules/emailtext.inc');
		break; case"seo":include_once('modules/seo.inc');
		break; case"sitemap":include_once('modules/sitemap.inc');
		break; case"advertising":include_once('modules/advertising.inc');
		break; case"memcomments":include_once('modules/memcomments.inc');
		break; case"flagged":include_once('modules/flagged.inc');
		break; case"frontvideo":include_once('modules/frontvideo.inc');
		break; case"logout":
			$_SESSION['blogged'] = '';
			$_SESSION['iTime'] = '';
			$_SESSION['iIp'] = '';
		break; case"changepass":include_once('modules/changepass.inc');	
	}
}
if ($_GET['play']) {
	$db->query("SELECT * FROM `plugin_menu` WHERE loaded = '1' AND menuclass = '".$_GET['play']."' ") ;
	$plug2 = $db->fetch() ;
	include_once('plugins/'.$plug2['menuclass'].'/'.$plug2['menuclass'].'.inc');
}
if (empty($_GET)) {
	include('modules/status.inc') ;
}

?>